Subject: [clisp-list] Re: do `accessors' have to be functions?

From: William Harold Newman <[email-masked]>
Date: Mon Jan 7 19:18:02 2002

On Mon, Jan 07, 2002 at 08:05:13PM -0500, Sam Steingold wrote:
> The following message is a courtesy copy of an article
> that has been posted to comp.lang.lisp as well.
> 
> > * In message <[email-masked]>
> > * On the subject of "Re: do `accessors' have to be functions?"
> > * Sent on Tue, 8 Jan 2002 00:31:13 GMT
> > * Honorable Kent M Pitman <[email-masked]> writes:
> >
> > Sam Steingold <[email-masked]> writes:

> > > Specifically, is it true that
> > >         #'(SETF foo)
> > > is compliant code for all `foo' which ANSI CL calls accessors and
> > > for which is specifies a SETF behavior?
> > 
> > I don't think so.  I had thought this might be specified somewhere but
> > didn't see it when I just went to look.  I'll maybe try again later if
> > no one else finds anything in the interim.

[writing about my reasoning]
> this would imply that (SETF LDB) _must_ be a function too.

Ouch, I can see this is a problem, and my interpretation might be wrong.

I wrote more in my reply on comp.lang.lisp (which Google Groups warns
may take 3-9 hours to appear).

-- 
William Harold Newman <[email-masked]>
"Our users will know fear and cower before our software! Ship it! Ship
it and let them flee like the dogs they are!" -- Klingon programmer
PGP key fingerprint 85 CE 1C BA 79 8D 51 8C  B9 25 FB EE E0 C3 E5 7C